<h1 mat-dialog-title style="text-align: center">Überweisung</h1>
<mat-dialog-content>
  <form [formGroup]="transferForm">
    <div>
      <mat-form-field>
        <mat-label *ngIf="errorSender; else noErrorSender" class="red">Auftraggeberkonto</mat-label>
        <ng-template #noErrorSender>
          <mat-label>Auftraggeberkonto</mat-label>
        </ng-template>

        <mat-select value={{selectedAccount}} [disableOptionCentering]="true" formControlName="dropdown" required>
          <span *ngFor="let account of accounts$ | async">
          <mat-option value="{{account.iban}}">{{account.name}}</mat-option>
          </span>
        </mat-select>
      </mat-form-field>
    </div>
    <div>
      <mat-label>EmpfängerIn</mat-label>
      <textarea matInput formControlName="receiverName" style="border: groove; height: 10%"></textarea>
    </div>
    <div style="padding-top: 5%">
      <mat-form-field>
        <mat-label *ngIf="errorIban; else noErrorIban" class="red">IBAN</mat-label>
        <ng-template #noErrorIban>
          <mat-label>IBAN</mat-label>
        </ng-template>
        <input type="text" matInput formControlName="iban" required>
      </mat-form-field>
    </div>
    <div>
      <mat-label>Verwendungszweck oder Zahlungsreferenz</mat-label>
      <textarea matInput formControlName="usage" style="border: groove; height: 10%"></textarea>
    </div>
  </form>

  <form [formGroup]="amountForm">
    <div style="padding-top: 5%">
      <mat-label *ngIf="amountMissing && errorMessage; else noErrorAmount" class="red">Betrag *</mat-label>
      <ng-template #noErrorAmount>
        <mat-label>Betrag *</mat-label>
      </ng-template>
      <br>
      <input #hundredK name="hundredK" class="amount" type="number" formControlName="hundredK"
             (keyup)="formatNumber($event)" [next-tab]="tenK">
      <input #tenK name="tenK" class="amount" type="number" formControlName="tenK"
             (keyup)="formatNumber($event)" [prev-tab]="hundredK" [next-tab]="thousand">
      <input #thousand name="thousand" class="amount" type="number" formControlName="thousand"
             (keyup)="formatNumber($event)" [prev-tab]="tenK" [next-tab]="hundred">
      &nbsp;
      <input #hundred name="hundred" class="amount" type="number" formControlName="hundred"
             (keyup)="formatNumber($event)" [prev-tab]="thousand" [next-tab]="ten">
      <input #ten name="ten" class="amount" type="number" formControlName="ten"
             (keyup)="formatNumber($event)" [prev-tab]="hundred" [next-tab]="one">
      <input #one name="one" class="amount" type="number" formControlName="one"
             (keyup)="formatNumber($event)" [prev-tab]="ten" [next-tab]="decOne">
      <span class="comma"> , </span>
      <input #decOne name="decOne" class="amount" type="number" formControlName="decOne"
             (keyup)="formatNumber($event)" [prev-tab]="one" [next-tab]="decTen">
      <input #decTen name="decTen" class="amount" type="number" formControlName="decTen"
             (keyup)="formatNumber($event)" [prev-tab]="decOne">
      <span class="eur">&nbsp;&nbsp;EUR</span>
    </div>
  </form>
</mat-dialog-content>
<br>

<mat-error *ngIf="errorSender || errorIban || (amountMissing && errorMessage)">
  <div>{{errorMessage}}</div>
</mat-error>
<mat-hint *ngIf="transferSuccess" class="green">
  <div>Überweisung wurde erfolgreich durchgeführt.</div>
</mat-hint>

<div mat-dialog-actions>
  <button mat-raised-button mat-dialog-close (click)="close()">{{cancelCloseButton}}</button>
  <span fxFlex></span>


  <!-- disable button if form is invalid -->
  <button class="lightblue" mat-raised-button *ngIf="transferForm.valid && !amountMissing" [disabled]="false" (click)="saveTransfer()">
    Speichern
    <mat-icon  class="icon-margin" matTooltip="Überweisung speichern, um mehrere Überweisungen auf einmal zu unterschreiben."
    matTooltipPosition="above">help</mat-icon>
  </button>
  <button mat-raised-button *ngIf="transferForm.valid && !amountMissing && !transferSuccess; else notValid" class="green-button"
          [disabled]="false" (click)="openConfirmation()">Absenden
  </button>
  <ng-template #notValid>
    <button class="lightgray" mat-raised-button [disabled]="true" (click)="saveTransfer()">
      Speichern
      <mat-icon  class="icon-margin" matTooltip="Überweisung speichern, um mehrere Überweisungen auf einmal zu unterschreiben."
                 matTooltipPosition="above">help</mat-icon>
    </button>
    <button  mat-raised-button *ngIf="!transferSuccess; else newTransfer" class="lightgray"
            [disabled]="true">Absenden
    </button>
  </ng-template>
  <ng-template #newTransfer>
    <button mat-raised-button (click)="createNewTransfer()">Weitere Überweisung
    </button>
  </ng-template>
</div>
